Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
segment.hpp File Reference
`#include <osmium/osm/location.hpp>`
`#include <iosfwd>`
`#include <utility>`
Include dependency graph for segment.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | osmium::Segment

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.

## Functions
constexpr bool | osmium::operator== (const Segment &lhs, const Segment &rhs) noexcept
| Segments are equal if both their locations are equal.
constexpr bool | osmium::operator!= (const Segment &lhs, const Segment &rhs) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const osmium::Segment &segment)